org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class OnErrorResumeStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.OnErrorResumeStageVerification

    public class OnErrorResumeStageVerification
    extends java.lang.Object

Test cases for OnErrorResume stages. This includes the `Stage.OnErrorResume` and `Stage.OnErrorResumeWith` stages.

### Nested Class Summary

Nested Classes
`class` `OnErrorResumeStageVerification.OnErrorResumeVerification`
`class` `OnErrorResumeStageVerification.OnErrorResumeWithPublisherVerification`
`class` `OnErrorResumeStageVerification.OnErrorResumeWithVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onErrorResumeShouldCatchErrorFromSource()`
`void` `onErrorResumeShouldCatchErrorFromStage()`
`void` `onErrorResumeStageShouldPropagateRuntimeExceptions()`
`void` `onErrorResumeWithRsPublisherShouldBeAbleToInjectAFailure()`
`void` `onErrorResumeWithRsPublisherShouldCatchErrorFromSource()`
`void` `onErrorResumeWithRsPublisherShouldCatchErrorFromStage()`
`void` `onErrorResumeWithRsPublisherStageShouldPropagateRuntimeExceptions()`
`void` `onErrorResumeWithShouldBeAbleToInjectAFailure()`
`void` `onErrorResumeWithShouldCatchErrorFromSource()`
`void` `onErrorResumeWithShouldCatchErrorFromStage()`
`void` `onErrorResumeWithStageShouldPropagateRuntimeExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### onErrorResumeShouldCatchErrorFromSource

    public void onErrorResumeShouldCatchErrorFromSource()

#### onErrorResumeWithShouldCatchErrorFromSource

    public void onErrorResumeWithShouldCatchErrorFromSource()

#### onErrorResumeWithRsPublisherShouldCatchErrorFromSource

    public void onErrorResumeWithRsPublisherShouldCatchErrorFromSource()

#### onErrorResumeShouldCatchErrorFromStage

    public void onErrorResumeShouldCatchErrorFromStage()

#### onErrorResumeWithShouldCatchErrorFromStage

    public void onErrorResumeWithShouldCatchErrorFromStage()

#### onErrorResumeWithRsPublisherShouldCatchErrorFromStage

    public void onErrorResumeWithRsPublisherShouldCatchErrorFromStage()

#### onErrorResumeStageShouldPropagateRuntimeExceptions

    public void onErrorResumeStageShouldPropagateRuntimeExceptions()

#### onErrorResumeWithStageShouldPropagateRuntimeExceptions

    public void onErrorResumeWithStageShouldPropagateRuntimeExceptions()

#### onErrorResumeWithRsPublisherStageShouldPropagateRuntimeExceptions

    public void onErrorResumeWithRsPublisherStageShouldPropagateRuntimeExceptions()

#### onErrorResumeWithShouldBeAbleToInjectAFailure

    public void onErrorResumeWithShouldBeAbleToInjectAFailure()

#### onErrorResumeWithRsPublisherShouldBeAbleToInjectAFailure

    public void onErrorResumeWithRsPublisherShouldBeAbleToInjectAFailure()